# coding: utf-8

"""
    Magneto API

    Magneto API is the RESTful API for the Rely.io platform.

    The version of the OpenAPI document: v0.0.1
    Contact: contact@rely.io
    Generated by OpenAPI Generator (https://openapi-generator.tech)

    Do not edit the class manually.
"""  # noqa: E501


import unittest

from magneto_api_client.models.flow_run_update import FlowRunUpdate

class TestFlowRunUpdate(unittest.TestCase):
    """FlowRunUpdate unit test stubs"""

    def setUp(self):
        pass

    def tearDown(self):
        pass

    def make_instance(self, include_optional) -> FlowRunUpdate:
        """Test FlowRunUpdate
            include_optional is a boolean, when False only required
            params are included, when True both required and
            optional params are included """
        # uncomment below to create an instance of `FlowRunUpdate`
        """
        model = FlowRunUpdate()
        if include_optional:
            return FlowRunUpdate(
                id = 'e',
                flow_id = 'e',
                flow_type = 'automation',
                args = magneto_api_client.models.args.Args(),
                phase = 'pending',
                start_time = datetime.datetime.strptime('2013-10-20 19:20:30.00', '%Y-%m-%d %H:%M:%S.%f'),
                end_time = datetime.datetime.strptime('2013-10-20 19:20:30.00', '%Y-%m-%d %H:%M:%S.%f'),
                actions = [
                    {
                        'key' : null
                        }
                    ],
                outputs = {
                    'key' : {
                        'key' : null
                        }
                    },
                logs = [
                    {
                        'key' : null
                        }
                    ],
                tags = [
                    {
                        'key' : null
                        }
                    ]
            )
        else:
            return FlowRunUpdate(
                flow_id = 'e',
                flow_type = 'automation',
        )
        """

    def testFlowRunUpdate(self):
        """Test FlowRunUpdate"""
        # inst_req_only = self.make_instance(include_optional=False)
        # inst_req_and_optional = self.make_instance(include_optional=True)

if __name__ == '__main__':
    unittest.main()
